#!/bin/sh

# if no args specified, show usage
if [ $# = 0 ]; then
  echo "Usage: tomcat [-c crawl dir] [-t Tomcat dir]"
  echo "  -c    Required. The path to a directory that contains"
  echo "        the crawl and indexes directories."
  echo "  -t    Required. Path to Tomcat."
  exit 1
fi

# set flag vars to empty
c= t=

# leading colon so that we do error handling here
while getopts :c:t: opt
  do
  case $opt in
  c)  c=$OPTARG
      ;;
  t)  t=$OPTARG
      ;;
  '?')  echo "$0: invalid option -$OPTARG" >&2
        echo "USAGE: $0 [-c crawl dir] [-t Tomcat dir]"
  esac
done

# remove options, leave arguments
shift $((OPTIND - 1))

# change to the crawl dir. This is the most important part of this script.
cd $c

echo "Stopping Tomcat..."
$t/bin/shutdown.sh
  
echo "Starting Tomcat..."
$t/bin/startup.sh

